# msgexport

Simple tool for exporting and merging all your chats between your platforms.

**This tool is not a chat app that has all your chats between the platforms. This tool only merges exported chat from different platforms to a unified structure**

## Supported platforms

- Instagram
- WhatsApp

(more platforms will be implemented later)

## How to use msgexport

### Downloading msgexport

Download latest build from releases or build it yourself.

### Creating a project

First you need to create a `msgexport` project. To do that you need to run:

```bash
msgexport --new project.msge
```

.msge file is just a simple zip file that contains all of the messages and media.

### Adding users to a project

First you need to add users to the project. The users in a project are all of the participants that are in the chat. You the user count needs to have at least the amount of participants. You cannot have a participant in a chat that doesn't have a user.

<details>
  <summary>Why is it this way</summary>
  
  Let say that on WhatsApp the person is called by his first name, lets say `Joe`. The same person can have his nickname as his name on Instagram. We need to know which user is who. This is why we create users in out project. We name them however we want and then when we start merging the messages we say that for example `LegendMaster123` is Joe. Then it will automatically assign all the messages from `LegendMaster123` to Joe.
</details>

```bash
msgexport --users project.msge
```

### Merging messages

To merge a messages from a specific platform you need to run this:

```bash
msgexport --add project.msge
```

Then continue to a documentation for the specific platform.

- [Instagram](docs/services/instagram.md)
- [WhatsApp](docs/services/whatsapp.md)
